*{
margin: 0;
padding:0;
box-sizing: border-box;
font-family: "Inter", sans-serif;
}
body{
overflow-x: hidden;
}
body a{
text-decoration: none;
}
body li{
list-style: none;
}
body h1,h2,h3,h4,h5{
    font-family: "Momo Trust Display", sans-serif;
}
:root{
--primary:#26747d;
--third:#333;
--white:white;
--gray:gray;
--lightgray:lightgray;
--black:#333;
--red:red;
}
.flex-center{
    display: flex;
    justify-content: center;
    align-items: center;
}
.flex-center-column{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.align-center{
    display: flex;
    align-items: center;
    flex-direction: column;
}
.grid{
    width:90%;
    margin: auto;
}
.grid-two-column{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap:20px;
}
.grid-three-column{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap:20px;
}
.grid-four-column{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap:20px;
}
.gap{
    margin-top: 4%;
}
.color{
    color:var(--primary);
}

/* navbar part  */
.whatsapp,.pulse {
    background: #1ab744;
    position: fixed;
    right:2%;
    bottom:10%;
    font-size: 30px;
    text-align: center;
    z-index: 99;
    border-radius: 50%;
    height: 55px;
    width: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    color: var(--white);
}
.pulse:nth-child(1) {
    animation: pulse 2s infinite
}
.pulse:nth-child(2) {
    animation: pulse 2s infinite .3s
}
.pulse:nth-child(3) {
    animation: pulse 2s infinite .6s
}
@keyframes pulse {
0% {
    transform: scale(.1);
    opacity: 0;
}
50% {
    opacity: .3;
}
100% {
    transform: scale(1.6);
    opacity: 0;
}
}
.arrow{
    display: none;
    position: absolute;
    content:"";
    height:36px;
    width:36px;
    border-radius: 50%;
    border:2px solid var(--primary);
    background-color: var(--white);
    color:var(--primary);
    position: fixed;
    bottom:3%;
    right:2.5%;
    z-index: 100;
}
.first{
    background-color: var(--black);
    color:var(--white);
    height:32px;
    display: flex;
    justify-content: center;
}
.first-nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.first-grid{
    display: flex;
    gap:30px;
    font-size: 14px;
}
.first-grid a{
    color:var(--white);
}
.first-icon{
    height:28px!important;
    width:28px!important;
    border: 2px solid var(--white);
    border-radius: 50%;
    color:var(--white);
    padding-top: 5px;
    margin-right: 5px;
}
.year{
    font-size: 14px;
}
.second-grid{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-block: 5px;
    gap:30px;
}
.second-left{
    display: flex;
    align-items: center;
    gap:25px;
    padding-right: 25px;
}
.second-left h1{
    margin-bottom: 0%;
    font-size: 25px;
    font-weight: 600;
}
.logo{
    height:85px;
    width:85px;
    object-fit: contain;
}
nav{
    background-color: var(--black);
}
.nav-item{
    margin-left: 50px;
}
.nav-item:first-child{
    margin-left: 0px;
}
.nav-link{
    font-size: 13.5px!important;
    color:var(--white)!important;
}
.dropdown-menu{
    border-radius: 0%!important;
    transform: translateY(60px);
    opacity: 0;
    transition: all 0.5s;
}
.dropdown:hover .dropdown-menu{
    transform: translateY(5px);
    opacity: 1;
}
.dropdown-item:focus{
    background-color: var(--white)!important;
    color:var(--black)!important;
}
.offcanvas-body{
    display: flex;
    align-items: center;
}
.mobile-show{
    display: none;
}
.hide{
    display: none;
    margin-top: 5%;
    margin-bottom: 7%;
}

/* index page  */
.header{
    position: relative;
    height:77vh;
}
.dots{
    position: absolute;
    bottom: 15px;
} 
.dots label{
    height:5px;
    width:50px;
    background-color: var(--primary);
    cursor: pointer;
    margin: 0 5px;
    opacity: 0.3;
}
.header input:nth-child(1):checked ~ .dots label:nth-child(1),
.header input:nth-child(2):checked ~ .dots label:nth-child(2),
.header input:nth-child(3):checked ~ .dots label:nth-child(3){
    opacity:1;
}
.header input{
    display: none;
}
.slides{
    height:100%;
    width:100%;
    display: flex;
}
.slides .slide{
    height:100%;
    width:100%;
    display: none;
}
.header input:nth-child(1):checked ~ .slides .header-one{
    display: block;
}
.header input:nth-child(2):checked ~ .slides .header-two{
    display: block;
}
.header input:nth-child(3):checked ~ .slides .header-three{
    display: block;
}
.header-one{
    background: linear-gradient(rgba(0,0,0,0.0),rgba(0,0,0,0.0)),url('images/t7.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.header-two{
    background: linear-gradient(rgba(0,0,0,0.0),rgba(0,0,0,0.0)),url('images/t11.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.header-three{
    background: linear-gradient(rgba(0,0,0,0.0),rgba(0,0,0,0.0)),url('images/t8.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.btn-one{
    padding:10px 25px;
    background-color: var(--primary);
    color:var(--white);
}
.service-grid{
    display: grid;
    grid-template-columns: 0.5fr 0.7fr 0.5fr;
    border:1px solid var(--lightgray);
    border-left: none;
    border-right: none;
    height:120px;
    align-items:center;
    padding-inline: 25px;
}
.s-g:hover{
    background: linear-gradient(to right,var(--primary),#ed9732);
    color:var(--white);
}
.service-grid h5{
    font-weight: 700;
    font-size: 22px;
}
.service-last{
    display: flex;
    justify-content: end;
}
.arrow-icon{
    height: 30px;
    width:30px;
    background-color: var(--lightgray);
    padding:15px;
    border-radius: 50%;
    color:var(--black);
    transform: rotate(-45deg);
    transition: 0.1s;
}
.arrow-icon:hover{
    height: 32px;
    width:32px;
    padding:16px;
}
.service-grid-one{
    border-top: none;
}
.aim-bg{
    position: relative;
    background-color: #dddcdc;
    padding-inline: 50px;
    padding-block: 50px;
}
.aim-bg-primary{
    position: absolute!important;
    content:""!important;
    height:610px;
    width:100%!important;
    background-color: var(--primary);
    left:0;
    bottom:0;
    clip-path: polygon(5% 55%, 95% 55%, 100% 70%, 100% 100%, 0 100%, 0 70%);
}
.aim-box{
    position: relative;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    background-color: var(--white);
    height:200px;
    padding-inline: 20px;
    padding-top: 15px;
    gap:10px;
}
.grid-second-three-column{
    display: grid;
    row-gap: 50px;
    column-gap: 35px;
}
.gallery-grid{
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap:20px;
    margin-bottom: 5%;
}
.gallery-grid-one{
    display: grid;
    row-gap:20px;
}
.img-1{
    height:250px;
    width:100%;
    object-fit: cover;
}
.img-2{
    height:300px;
    width:100%;
    object-fit: cover;
}
.img-3{
    height:100%;
    width:100%;
    object-fit: cover;
}
.carousel-grid{
    display: grid!important;
    grid-template-columns: 0.6fr 1fr!important;
    gap:50px;
    padding-inline: 150px;
}
.user{
    height:345px;
    width:100%;
    object-fit: cover;
    border-radius: 5px;
    background-color: var(--lightgray);
}
.testimonial{
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.fa-quote-right{
    font-size: 50px;
}
.testimonial-content{ 
    font-size: 18px;
    margin-top: 6%;
    margin-bottom: 6%!important;
}
.black{
    color: var(--black)!important;
}
.testimonial-name h5{
    font-weight: 500;
    font-size: 18px;
}


/* footer part start  */
footer{
    background: var(--black);
    color:var(--white);
    padding-top: 30px;
    padding-bottom: 2px;
}
.footer-grid{
    display: grid;
    grid-template-columns: 0.9fr 2fr;
    gap:30px;
}
footer h5{
    margin-bottom: 8%;
}
footer a{
    color: var(--white);
}
.footer-one{
    border-top: 1px dotted var(--lightgray);
    padding-top: 8.5px;
    padding-bottom: 8.5px;
}
.footer-two{
    padding-bottom: 8.5px;
}
.footer-icon{
    height: 33px!important;
    width:33px!important;
    border:2px solid var(--lightgray);
    border-radius: 50%;
    padding-top: 6px;
}

/* about us part  */
.common{
    height:150px;
    background: repeating-conic-gradient(#333 0deg 5deg ,#111 5deg 10deg);
    background-size: 15px 15px;
    color:var(--white);
}
.common a{
    color:var(--white);
}
.common h4{
    margin-bottom: 1%;
}
.about-image{
    height:650px;
    width:100%;
    object-fit: cover;
}
.team-position{
    position: relative;
    height:250px;
    width:220px;
    background: linear-gradient(var(--primary),lightgray);
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 50% 100%, 0 75%, 0 25%);
    border-radius: 15px;
}
.team-img{
    position: absolute;
    content:"";
    height:100%;
    width:100%;
    padding-top: 10px;
    object-fit: cover;
    bottom:0;
    z-index: 10;
}
.president-image{
    height:410px;
    width:100%;
    object-fit: cover;
}
.president-grid{
    width:65%;
    margin: auto;
    display: grid;
    grid-template-columns: 0.6fr 1fr;
    gap:40px;
    margin-top: 5%;
}

/* our work part start  */
.education-grid{
    width:70%;
    margin: auto;
    text-align: center;
    margin-top: 2.5%;
}

/* media page start  */
.media-img{
    height:200px;
    width:100%;
    object-fit: cover;
}

/* contact part start  */
.contact-grid{
    display:grid;
    grid-template-columns: 1.5fr 2fr;
    gap:40px;
}
.touch{
    color:var(--secondary);
}
.input-group,.input-group-text,.form-control{
    border-radius: 0%!important;
}
.form-control:focus{
    border:1px solid var(--lightgray)!important;
    outline: none!important;
    box-shadow: none!important;
}
.submit-btn{
    background-color: var(--primary)!important;
    height:45px!important;
    color:var(--white)!important;
}
.map{
    width:100%;
    height:400px;
    margin-top: 5px;
}

/* member part start  */
.member-grid{
    width:50%;
    margin:auto;
    margin-top: 4%;
    padding-block: 35px;
    padding-inline: 20px;
    box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
}
.detail-grid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap:15px;
}
.detail-grid-one{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap:15px;
}

/* donate page start  */
.donate-grid{
    width:70%;
    margin:auto;
    display: grid;
    grid-template-columns: 1fr 0.8fr;
    gap:60px;
    margin-top: 4%;
}
.donate-left{
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    height:250px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding-inline: 15px;
}
.donate-left h4{
    margin-bottom: 4%;
}
.qr{
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

/* login page  */
.login{
    height:100vh;
}
.login-form{
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    padding:25px;
    width:35%;
}

/* admin area part start  */
.dashboard{
    height:50px;
    background-color: var(--primary);
    color:var(--white);
    display: flex;
    align-items: center;
    padding-inline: 15px;
}
.dashboard h3{
    margin-bottom: 0%;
    letter-spacing: 1px;
}
.admin-left{
    background-color: var(--black);
    height:720px;
}
.admin-box{
    padding:8px 21px;
    background-color: var(--white);
    margin-top: 4%;
}
.admin-box a{
    color:var(--black);
}
.admin-margin{
    margin-block: 25px;
}
.fa-ban{
    color:red;
}
.mem-btn{
    border:none;
}
.admin-form{
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    padding:15px;
}
.edit{
    background-color: blue;
    color: var(--white)!important;
    padding: 7px 20px;
}
.delete{
    background-color: var(--red);
    color: var(--white)!important;
    padding: 7px 20px;
    border: none!important;
}

/* responsive part start  */
@media (max-width:1024px){
    .second-left{
        gap:2px;
    }
    .second-left h1{
        font-size: 20px;
    }
    .second-right{
        gap:10px;
    }
    .nav-item{
        margin-left: 20px;
    }
    .nav-link{
        font-size: 13px!important;
    }
    .service-grid{
        height:100%;
        padding-block: 10px;
        grid-template-columns: 0.6fr 0.9fr 0.2fr;
    }
    .aim-bg{
        padding-inline: 20px;
    }
    .team-position{
        height:210px;
        width:180px;
    }
    .president-grid{
        width:88%;
    }
    .media-img{
        height:170px;
    }
    .member-grid{
        width:75%;
    }
    .carousel-grid{
        grid-template-columns: 0.8fr 1fr!important;
        gap:40px;
        padding-inline: 120px;
    }
    .user{
        height:320px;
    }
    .testimonial-content{ 
        font-size: 16px;
    }
    .login-form{
        width:50%;
    }
    .admin-left{
        height:635px;
    }
}

@media (max-width:768px){
    .br{
        display: none;
    }
    .second-grid{
        display: block;
    }
    .second-left h1{
        font-size: 20px;
        font-weight: 600;
    }
    .second-right{
        display: none;
    }
    .mob-logo{
        height:80px;
        width:80px;
        object-fit: contain;
    }
    .btn-close{
        height:15px!important;
        width:15px!important;
        border: 2px solid var(--black)!important;
        border-radius: 5px!important;
    }
    .navbar-toggler{
        border-radius: 0%!important;
        background-color: var(--white)!important;
    }
    .navbar-toggler:focus{
        box-shadow: none!important;
        outline: none!important;
    }
    .nav-item{
        margin-left: 0px!important;
    }
    .nav-link{
        font-size: 14px!important;
        font-weight: 500!important;
        color:var(--black)!important;
    }
    .offcanvas-body{
        align-items: start;
    }
    .mobile-show{
        display: block;
    }
    .mob-icon-size{
        font-size: 16px!important;
        font-weight: 500!important;
    }
    .mob-icon{
        height:33px!important;
        width:33px!important;
        border:2px solid var(--black);
        border-radius: 5px;
        padding-top: 6px;
    }
    .offcanvas-header{
        border-bottom: 1px solid var(--lightgray);
    }
    .header{
        height:73vh;
    }
    .service-grid{
        grid-template-columns: 1fr;
        gap:15px;
        padding-block: 20px;
        padding-inline: 10px;
    }
    .service-last{
        justify-content: start;   
    }
    .res-aim{
        grid-template-columns: 1fr 1fr;
    }
    .gallery-grid{
        grid-template-columns: 1fr;
    }
    .res-meet{
        grid-template-columns: 1fr 1fr 1fr;
    }
    .carousel-grid{
        grid-template-columns: 1fr!important;
    }
    .user{
        height:100%;
    }
    footer{
        padding-top: 30px;
    }
    .footer-grid{
        grid-template-columns: 1fr;
    }
    .footer-two{
        padding-block: 10px;
    }
    .res-about-page,.president-grid,.contact-grid{
        grid-template-columns: 1fr;
    }
    .president-image{
        height:100%;
    }
    .education-grid{
        width:88%;
    }
    .common h4{
        margin-bottom: 2%;
    }
    .res-media{
        grid-template-columns: 1fr 1fr 1fr;
    }
    .member-grid{
        width:85%;
    }
    .donate-grid{
        width:88%;
    }
    .hide{
        display: block;
    }
    .about-image{
        height:100%;
    }
}

@media (max-width:425px){
    .first{
        display: none;
    }
    .second-grid{
        display: block;
        padding-top: 4px;
        padding-bottom: 12px;
    }
    .second-left{
        flex-direction: column;
        gap:15px;
        padding-right: 0px;
    }
    .second-left h1{
        font-size: 22px;
        text-align: center;
    }
    .offcanvas-end{
        width:80%!important;
    }
    .header{
        height:45vh;
    }
    .res-aim{
        grid-template-columns: 1fr;
        gap:30px;
    }
    .gallery-sub-grid,.res-meet{
        grid-template-columns: 1fr;
    }
    .gap{
        margin-top: 8%;
    }
    .team-position{
        height:230px;
        width:200px;
    }
    .carousel-grid{
        padding-inline:50px;
    }
    .testimonial-content{
        font-size: 15px;
    }
    .testimonial-name{
        margin-top: 7%;
    }
    .fa-quote-right{
        font-size: 40px;
    }
    .footer-grid{
        grid-template-columns: 1fr;
    }
    .res-footer-column{
        grid-template-columns: 1fr;
    }
    .res-media{
        grid-template-columns: 1fr;
    }
    .media-img{
        height:100%;
    }
    .member-grid{
        width: 88%;
    }
    .detail-grid,.detail-grid-one{
        grid-template-columns: 1fr;
    }
    .map{
        height: 270px;
    }
    .common h4{
        margin-bottom: 3%;
    }
    .donate-grid{
        grid-template-columns: 1fr;
    }
    .login-form{
        width: 90%;
    }
    .dashboard{
        justify-content: center;
    }
    .admin-left{
        height:240px;
    }
    .admin-box{
        text-align: center;
    }
    .admin-margin{
        margin-bottom: 5%;
    }
}

@media (max-width:375px){
    .header{
        height:35vh;
    }
}

